Delete Brand
curl --request DELETE \
--url https://api.example.com/api/v1/brands/{brand_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brands/{brand_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brands
Delete Brand
Delete a Brand and all its child Brand Kits.
Postgres cascades the delete to brand_kits (FK is ON DELETE CASCADE as of m2brand_req_001). However, tasks.brand_kit_id has no ondelete rule, so we must NULL those refs first to avoid FK violations when Postgres attempts the cascade. We still delete kits through the ORM so BrandKit.files cascade fires (removing R2 metadata rows).
DELETE
/
api
/
v1
/
brands
/
{brand_id}
Delete Brand
Was this page helpful?
⌘I